(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~pages-bp-activity-details-bp-activity-details-module~pages-bp-activity-list-bp-activity-list~1b12d3d6"],{

/***/ "./src/app/services/buddypress/buddypress.service.ts":
/*!***********************************************************!*\
  !*** ./src/app/services/buddypress/buddypress.service.ts ***!
  \***********************************************************/
/*! exports provided: BuddypressService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BuddypressService", function() { return BuddypressService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _http_http_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../http/http.service */ "./src/app/services/http/http.service.ts");
/* harmony import */ var _appdata_appdata_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../appdata/appdata.service */ "./src/app/services/appdata/appdata.service.ts");
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/common/http */ "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/http.js");





let BuddypressService = class BuddypressService {
    constructor(httpService, appdataService) {
        this.httpService = httpService;
        this.appdataService = appdataService;
        this.BUDDYPRESS_RESTBASE_V1 = 'wp-json/buddypress/v1/';
        this.APPCOMMUNITY_RESTBASE_V2 = 'wp-json/ap-bp/v2/';
    }
    /**
     * Gets buddypress activities from API
     * @param {*} params
     * @param {*} user
     * @returns {Promise<Activity[]>}
     */
    getActivities(params, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'activity';
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Gets buddypress activity by ID from API
     * @param {number} activityId
     * @param {*} user
     * @returns {Promise<Activity>}
     */
    getActivity(activityId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'activity/' + activityId;
            const params = { display_comments: 'threaded' };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Marks an activity as favorite
     * @param {number} activityId
     * @param {*} user
     * @returns {Promise<boolean>}
     */
    favoriteActivity(activityId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'activity/' + activityId + '/favorite';
            const params = {
                context: 'edit'
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            let favorite = yield this.httpService.post(route, params, headers);
            return favorite;
        });
    }
    /**
     * Marks an activity as flaged
     * @param {number} activityId
     * @param {*} user
     * @returns {(Promise<number | boolean>)}
     */
    flagActivity(activityId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.APPCOMMUNITY_RESTBASE_V2 + 'activity/' + activityId;
            const params = {
                action: 'activity_flag'
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            let flag = yield this.httpService.post(route, params, headers);
            return flag;
        });
    }
    /**
     * Adds a new activity (as activity comment) under a specific activity (root activity and parent activity)
     * @param {string} content
     * @param {number} primary_item_id
     * @param {number} secondary_item_id
     * @param {*} user
     * @returns {Promise<Comment>}
     */
    commentActivity(content, primary_item_id, secondary_item_id, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'activity';
            const params = {
                content: content,
                type: 'activity_comment',
                primary_item_id: primary_item_id,
                secondary_item_id: secondary_item_id
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, params, headers);
        });
    }
    /**
     * Creates a new activity
     * @param {string} content
     * @param {number} userId
     * @param {*} user
     * @returns {Promise<Activity>}
     */
    createActivity(content, userId, user, groupId = null) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'activity';
            const params = {
                context: 'edit',
                user_id: userId,
                component: 'activity',
                type: 'activity_update',
                content: content
            };
            if (groupId) {
                Object.assign(params, { primary_item_id: parseInt(groupId), component: 'groups' });
            }
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, params, headers);
        });
    }
    /**
     * Creates a new activity with image
     * @param {string} content
     * @param {number} userId
     * @param {*} user
     * @returns {Promise<Activity>}
     */
    createActivityWithMedia(content, formData, userId, user, groupId = null) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'activity';
            let httpParams;
            if (groupId) {
                httpParams = new _angular_common_http__WEBPACK_IMPORTED_MODULE_4__["HttpParams"]()
                    .set('context', 'edit')
                    .set('user_id', userId)
                    .set('component', 'activity')
                    .set('type', 'activity_update')
                    .set('content', content)
                    .set('primary_item_id', groupId)
                    .set('component', 'groups');
            }
            else {
                httpParams = new _angular_common_http__WEBPACK_IMPORTED_MODULE_4__["HttpParams"]()
                    .set('context', 'edit')
                    .set('user_id', userId)
                    .set('component', 'activity')
                    .set('type', 'activity_update')
                    .set('content', content);
            }
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.postWithFormData(route, httpParams, formData, headers);
        });
    }
    /**
     * Gets buddypress members from API
     * @param {*} params
     * @returns {Promise<Member[]>}
     */
    getMembers(params) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'members';
            return this.httpService.get(route, params);
        });
    }
    /**
     * Gets buddypress friends for the given user from API
     * @param {*} params
     * @returns {Promise<Member[]>}
     */
    getFriends(userId) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'members';
            const params = {
                context: 'view',
                user_id: userId,
                per_page: 99
            };
            return this.httpService.get(route, params);
        });
    }
    /**
     * Gets buddypress member details for current user from from API
     * @param {number} userId
     * @param {*} [user]
     * @returns {Promise<Member>}
     */
    getMember(userId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.APPCOMMUNITY_RESTBASE_V2 + 'members/' + userId;
            const params = (user) ? { user_id: user.user_id } : {}; // Add user_id parameter only if user is logged in
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Updates the member's avatar
     * @param {FormData} formData
     * @param {string} userId
     * @param {*} user
     * @returns {Promise<any>}
     */
    updateMemberAvatar(formData, userId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'members/' + userId + '/avatar';
            const httpParams = new _angular_common_http__WEBPACK_IMPORTED_MODULE_4__["HttpParams"]();
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.postWithFormData(route, httpParams, formData, headers);
        });
    }
    /**
     * Gets all notifications for current user from API
     * @param {*} user
     * @returns {Promise<Notification[]>}
     */
    getNotifications(user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'notifications';
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, {}, headers);
        });
    }
    /**
     * Clears notification for the activity, for the current user from API
     * @param {number} activityId
     * @param {*} user
     * @returns {Promise<Notification[]>}
     */
    changeNotificationToNotNew(activityId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'notifications/' + activityId;
            const params = {
                context: 'edit',
                is_new: 0
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.put(route, params, headers);
        });
    }
    /**
     * Adds a friend request with the current user from API
     * @param {number} userId
     * @param {*} user
     * @returns {Promise<any>}
     */
    addFriend(userId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.APPCOMMUNITY_RESTBASE_V2 + 'friends/' + userId;
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, {}, headers);
        });
    }
    /**
     * Removes a friend request with the current user from API
     * @param {number} userId
     * @param {*} user
     * @returns {Promise<any>}
     */
    removeFriend(userId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.APPCOMMUNITY_RESTBASE_V2 + 'friends/' + userId;
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.delete(route, headers);
        });
    }
    /**
     * Accepts a friendship request with the current user from API
     * @param {number} userId
     * @param {*} user
     * @returns {Promise<any>}
     */
    acceptFriendship(userId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.APPCOMMUNITY_RESTBASE_V2 + 'friends/requests/accept/' + userId;
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, {}, headers);
        });
    }
    /**
     * Rejects a friendship request with the current user from API
     * @param {number} userId
     * @param {*} user
     * @returns {Promise<any>}
     */
    rejectFriendship(userId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.APPCOMMUNITY_RESTBASE_V2 + 'friends/requests/reject/' + userId;
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, {}, headers);
        });
    }
    /**
     * Gets buddypress groups from API
     * @param {*} params
     * @returns {Promise<Group[]>}
     */
    getGroups(params, user = null) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'groups';
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Gets details of the specific group
     * @param {number} groupId
     * @param {*} user
     * @returns {Promise<Group>}
     */
    getGroupDetails(groupId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'groups/' + groupId;
            let params = {
                context: 'edit',
            };
            if (user) {
                Object.assign(params, { user_id: user.user_id });
            }
            // @TODO check this. If header does not exists this endpoint does not return the public information (even though in postman it works)
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Gets members of the specific group
     * @param {number} groupId
     * @param {*} user
     * @returns {Promise<any>}
     */
    getGroupMembers(groupId, user = null, params = {}) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'groups/' + groupId + '/members';
            if (user) {
                Object.assign(params, { user_id: user.user_id });
            }
            // @TODO check this. If header does not exists this endpoint does not return the public information (even though in postman it works)
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Joins the given public group
     * @param {number} groupId
     * @param {*} user
     * @returns {Promise<any>}
     */
    joinPublicGroup(groupId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'groups/' + groupId + '/members';
            const params = {
                context: 'view',
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, params, headers);
        });
    }
    /**
     * Requests membership to the given private group
     * @param {number} groupId
     * @param {*} user
     * @returns {Promise<any>}
     */
    requestGroupMembership(groupId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'groups/membership-requests';
            const params = {
                context: 'edit',
                group_id: groupId
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, params, headers);
        });
    }
    /**
     * Gets buddypress messages from API
     * @param {*} params
     * @param {*} user
     * @returns {Promise<Thread[]>}
     */
    getMessages(params, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'messages';
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Creates a new message
     * @param {string} subject
     * @param {string} message
     * @param {number[]} recipients
     * @param {*} user
     * @returns {Promise<Thread>}
     */
    createMessage(subject, message, recipients, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'messages';
            const params = {
                context: 'edit',
                subject: subject,
                message: message,
                recipients: recipients,
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, params, headers);
        });
    }
    /**
     * Gets buddypress thread by threadId from API
     * @param {number} threadId
     * @param {*} user
     * @returns {Promise<Thread>}
     */
    getThread(threadId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'messages/' + threadId;
            const params = {};
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Replies to an existing thread
     * @param {number} threadId
     * @param {number[]} recipients
     * @param {string} message
     * @param {*} user
     * @returns {Promise<Thread>}
     */
    replyMessage(threadId, recipients, message, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'messages';
            const params = {
                context: 'edit',
                recipients: recipients,
                id: threadId,
                message: message
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.postWithUrlencoded(route, params, headers);
        });
    }
    // /**
    //  * Replies to an existing thread with image
    //  * @param {number} threadId
    //  * @param {string} message
    //  * @param {FormData} formData
    //  * @param {*} user
    //  * @returns {Promise<Thread>}
    //  */
    // public async replyMessageWithImage(threadId: number, recipients: number[], formData: FormData, user: any): Promise<Thread> {
    //   const appData: AppData = await this.appdataService.getAppdata();
    //   const route: string = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'messages';
    //   const httpParams = new HttpParams()
    //     .set('context', 'edit')
    //     .set('recipients', recipients.toString())
    //     .set('id', threadId.toString())  // The Thread ID is Required when replying.
    //     .set('message', 'Upload image');
    //   const headers: any = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
    //   return this.httpService.postWithFormData(route, httpParams, formData, headers);
    // }
    /**
     * @TODO Temporary using the ap-bp (v1) until this is added in the new BuddyPress Rest API plugin
     * Replies to an existing thread with image
     * @param {number} threadId
     * @param {string} message
     * @param {FormData} formData
     * @param {*} user
     * @returns {Promise<Thread>}
     */
    replyMessageWithImage(threadId, message, formData, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + 'wp-json/ap-bp/v1/messages/send'; // @TODO temporary using the ap-bp (v1) until this is added in the new BuddyPress Rest API plugin
            const httpParams = new _angular_common_http__WEBPACK_IMPORTED_MODULE_4__["HttpParams"]()
                .set('user_id', user.user_id)
                .set('recipients', user.user_id)
                .set('thread_id', threadId.toString()) // The Thread ID is Required when replying.
                .set('token', user.token);
            return this.httpService.postWithFormData(route, httpParams, formData);
        });
    }
    /**
     * Gets buddypress Xprofile Fields from API
     * @param {*} user
     * @returns {Promise<any>}
     */
    getXprofileFields(user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'xprofile/fields';
            const params = {
                context: 'view',
                fetch_field_data: true
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.get(route, params, headers);
        });
    }
    /**
     * Updates buddypress Xprofile Fields from API
     * @param {string[]} values
     * @param {number} fieldId
     * @param {*} user
     * @returns {Promise<any>}
     */
    updateXprofileFields(values, fieldId, user) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const appData = yield this.appdataService.getAppdata();
            const route = appData.wordpress_url + this.BUDDYPRESS_RESTBASE_V1 + 'xprofile/' + fieldId + '/data/' + user.user_id;
            const params = {
                context: 'edit',
                value: values
            };
            const headers = (user) ? { Authorization: 'Bearer ' + user.access_token } : {}; // Add authorization header only if user is logged in
            return this.httpService.post(route, params, headers);
        });
    }
};
BuddypressService.ctorParameters = () => [
    { type: _http_http_service__WEBPACK_IMPORTED_MODULE_2__["HttpService"] },
    { type: _appdata_appdata_service__WEBPACK_IMPORTED_MODULE_3__["AppdataService"] }
];
BuddypressService = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
        providedIn: 'root'
    }),
    Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"])("design:paramtypes", [_http_http_service__WEBPACK_IMPORTED_MODULE_2__["HttpService"],
        _appdata_appdata_service__WEBPACK_IMPORTED_MODULE_3__["AppdataService"]])
], BuddypressService);



/***/ })

}]);
//# sourceMappingURL=default~pages-bp-activity-details-bp-activity-details-module~pages-bp-activity-list-bp-activity-list~1b12d3d6.js.map